#
# spec file for package fastjar (Version 0.92)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           fastjar
License:        GNU General Public License (GPL)
Group:          Development/Languages/Java
Autoreqprov:    on
Provides:       libgcj:/usr/bin/fastjar
PreReq:         %install_info_prereq
Version:        0.92
Release:        25.5
Summary:        The fastjar Java package archiver
URL:            http://savannah.nongnu.org/projects/fastjar/
Source:         fastjar-%{version}.tar.bz2
Patch:          nvl191845.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Fastjar is an implementation of Sun's jar utility that comes with the
JDK, written entirely in C, and runs in a fraction of the time while
being 100% feature compatible.



%debug_package
%prep
%setup -q
%patch

%build
%configure
make %{?jobs:-j%jobs}

%install
%makeinstall

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README NEWS ChangeLog
%{_mandir}/man1/fastjar.1.gz
%{_mandir}/man1/grepjar.1.gz
%{_infodir}/fastjar.info.gz
%{_bindir}/fastjar
%{_bindir}/grepjar

%changelog
* Mon Jan 15 2007 - ro@suse.de
- submit to SP1 since tool was removed from libgcj
* Mon Aug 07 2006 - rguenther@suse.de
- Update fix for 191845 to upstream version.
* Wed Jul 12 2006 - rguenther@suse.de
- Fix 191845, directory traversal on unpacking.
* Mon May 29 2006 - rguenther@suse.de
- New fastjar package from savannah sources.
